function setup() {
  const meinCanvas = createCanvas(600, 200);
  meinCanvas.parent("canvasContainer");
  background("#ddd");

  // einfache Textausgabe
  // der hier angegebene Text wird auf dem Canvas ausgegeben
  // ändert ihn mal…
  textAusgabe("Hallo Welt!");

  // Füllfarbe und X-Position
  kreisZeichnen("red", 50);
  kreisZeichnen("rgb(0,185,100)", 150);

  // Auslagern mit Übergabe von vielen Werten
  // Reihenfolge muss stimmen!
  // Angaben: strichStaerke, strichFarbe, fuellFarbe, xPos, yPos, durchMesser
  kreisZeichnenKomplex(3, "blue", "orange", 340, 60, 60);

  kreisZeichnenKomplex(8, "hsl(200,50%,50%)", "#000", 430, 60, 90);

  // eine Loop-Funktion zeichnet so viele Kreise wie hier angegeben
  vieleKreiseZeichnen(18);
}

function textAusgabe(meinText){
  textFont("Roboto Slab");
  textSize(24);
  noStroke();
  fill("black");
  text(meinText, 10, 140);
}

// externe Funktion mit 2 übergebenen Werten (fuellFarbe, xPos)
function kreisZeichnen(fuellFarbe, xPos) {
  strokeWeight(5);
  noStroke();
  fill(fuellFarbe);
  ellipse(xPos, 60, 80);
}

// flexible, externe Funktion mit vielen Werten
function kreisZeichnenKomplex(strichStaerke, strichFarbe, fuellFarbe, xPos, yPos, durchMesser){
  strokeWeight(strichStaerke);
  stroke(strichFarbe);
  fill(fuellFarbe);
  ellipse(xPos, yPos, durchMesser);
}

function vieleKreiseZeichnen(anzahl){
  // anzahl Kreise zeichnen
  // "20 + 30 * i" sorgt dafür, dass die Kreise waagrecht nebeneinander stehen
  for (var i = 0; i <= anzahl; i++) {
    kreisZeichnenKomplex(6, 120, "rgb(0,255,255)", 20 + 30 * i, 170, 20);
  }
}
